


<script>

import Generate_Card from '@/components/generate_vibe/scenery.vue'
import dashboard from '@/components/dashboard/scenery.vue'
import instruments from '@/components/instruments/scenery.vue'
import navigator from '@/components/navigator/scenery.vue'

import scrolly from '@/components/scrolly/futon.vue'

import { lap } from '@/fleet/lap'

export default {
	inject: ['vibes_store'],
	
	components: {
		scrolly,
		
		dashboard,
		instruments,
		Generate_Card,
		
		navigator
	},
	
	data () {
		return {
			flavor: "",
			story: "",
			performance: "",
			
			feeling: ""
		}		
	},
	
	methods: {
		async feel () {
			/*
				ECC_448_2:3043300506032b6571033a00c8b4b3f3c6f4603c02319fe554f3377d120356d4b036273fcce229977e369d6d957f01c264b525d7dc31459abafe2298683bd1966bac65fe80
				
				Hi there!
				
				E262892D205D68DA4F5FB40D2359FBE5B9D8CF036D70C3928BB0B36F4543A359EED365016B8CB081D617B1A3A474B642B90C2CC16CD6E4A00090C1BC1A4E18187132974E9CF88F132BC178AD8E8BD165D46F0377C9B0B319CDFE3B98D92A559D153019933C1477133A8140E03494676D3F00
			*/
			
			const proceeds = await this.vibes_store.moves.feel ({
				flavor: this.flavor,
				story: this.story,
				performance: this.performance
			})
			if (proceeds.status == "pass") {
				this.feeling = proceeds.note.feeling;
			}
			else {
				console.error (proceeds)
			}
		}
	},
	
	mounted () {
	}
}

</script>

<template>
	<div
		:style="{
			position: 'relative',
			
			borderRadius: '8px',
			
			color: 'white',
			
			height: '100%'
		}"
	>
		<div
			:style="{
				position: 'absolute',
				height: '100%',
				width: '100%',
				top: 0,
				left: 0,
				
				overflowY: 'scroll',
				
				display: 'flex',
			}"
		>
			<div
				:style="{
					position: 'relative',
					
					width: '20%',
					border: '2px solid white',
					borderRadius: '8px',
					
					boxSizing: 'border-box',
					padding: '20px',
					
					display: 'flex',
					flexDirection: 'column'
				}"
			>
				<div>
					<h1>feel</h1>
				</div>
			</div>
			<scrolly
				:style="{
					position: 'relative',
					boxSizing: 'border-box',
					
					padding: '20px',
					width: '100%'
				}"
			>
				<h2>flavor</h2>
				<textarea
					v-model="flavor"
					
					:style="{
						width: '100%',
						minHeight: '100px',
						background: 'none',
						borderRadius: '8px',
						
						boxSizing: 'border-box',
						padding: '12px'
					}"
				/>
			
				<h2>story</h2>
				<textarea
					v-model="story"
					
					:style="{
						width: '100%',
						minHeight: '200px',
						background: 'none',
						borderRadius: '8px',
						
						boxSizing: 'border-box',
						padding: '12px'
					}"
				/>
			
				<h2>performance</h2>
				<textarea
					v-model="performance"
					
					:style="{
						width: '100%',
						minHeight: '200px',
						background: 'none',
						borderRadius: '8px',
						
						boxSizing: 'border-box',
						padding: '12px'
					}"
				/>
				
				<VaButton 
					:style="{ margin: '5px 0 20px' }"
					@click="feel"
				>feel</VaButton>
				
				<h2>feeling</h2>
				<textarea
					v-model="feeling"
					:style="{
						width: '100%',
						minHeight: '200px',
						background: 'none',
						borderRadius: '8px',
						
						boxSizing: 'border-box',
						padding: '12px'
					}"
				/>
			</scrolly>
		</div>
	</div>
</template>

